%define name perl-Data-ShowTable
%define real_name Data-ShowTable
%define version 3.3
%define release 7mdk

Summary: Perl 5 module to print arrays of data
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Development/Perl
URL: http://www.cpan.org
Source0: ftp://ftp.pasteur.fr/pub/computing/CPAN/modules/by-module/Data/%{real_name}-%{version}.tar.bz2
Patch0: %{real_name}-3.3.patch.bz2
Prefix: %{_prefix}
BuildRequires:	perl-devel
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-root

%description
ShowTable.pm, version 3.3, is a Perl 5 module which defines subroutines to
print arrays of data in a nicely formatted listing, using one of four possible
formats: simple table, boxed table, list style, and HTML-formatting (for
World-Wide-Web output). See the documentation on ShowTable.pm for details on
the formatting.

%prep
%setup -q -n %{real_name}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL PREFIX=%{prefix} INSTALLDIRS=vendor
make PREFIX=%{prefix} OPTIMIZE="$RPM_OPT_FLAGS"
make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{prefix} \
	     INSTALLMAN1DIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/showtable
%{perl_vendorlib}/Data
%{_mandir}/*/*

%changelog
* Tue Jul 09 2002 Christian Belisle <cbelisle@mandrakesoft.com> 3.3-7mdk
- rebuild for new perl 5.8.0

* Thu Nov 08 2001 Franois Pons <fpons@mandrakesoft.com> 3.3-6mdk
- added url tag.

* Tue Oct 16 2001 Stefan van der Eijk <stefan@eijk.nu> 3.3-5mdk
- BuildRequires: perl-devel

* Sun Jun 17 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.3-4mdk
- Rebuild against latest perl.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 3.3-3mdk
- macroszifications.
- noarch.

* Mon Apr  3 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.3-2mdk
- fixed group
- rebuild with new perl
- fixed location
- patched the source in order to build, the tests in order to test
- fixed install process for correct man1 install

* Sun Dec 05 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- First spec file

